QGIS crashes on Debian 64bit after upgrading python packages

2013-10-23 02:49 PM - iTech Dev

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Debian 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17608

Description

QGIS was working fine till today, however after doing packages upgrade in my Debian Jessie 64-bit machine QGIS keeps crashing and

does not start with Signal 11 abort message

I did uninstall all plugins but it did not help.

When I start QGIS with --noplugins it starts however whenever I click Python Console it crashes again with same error message.

I managed to compile a list of packages that cause the problem. Attached a screenshot of these packages that once got upgraded QGIS

crashes. (After recovering my system, I had to lock their version to not be upgraded)

To re-produce the bug, you can install QGIS on any Debian Jessie or Sid based distribution and upgrade to latest packages (I did try on

both Debian Jessie and Sid and the problem exists)

Thanks.

Related issues:

Related to QGIS Application - Bug report # 8947: QGIS crashes after updates o... Closed 2013-10-24

History

#1 - 2013-10-23 02:57 PM - iTech Dev

- File 45_PM.png added

The second attached image shows the current version of the packages before the upgrade and the new version that causes QGIS to crash on startup.

#2 - 2013-10-24 02:52 PM - Giovanni Manghi

- Category deleted (Browser)

- Priority changed from Severe/Regression to High

#3 - 2013-10-26 04:16 AM - Martin Jung

Just want to add that QGIS 2.1 (dev.) is working just fine.

Seems like the issue has already been fixed in the development version. Anyway right now the stable sources are useless for Debian Jessie as they always

crash.

#4 - 2013-10-30 02:28 AM - Emmanuel Lesouef

- File qgis_gdb_output.txt added
I confirm the bug on Debian Testing amd64.

Please see the output of gdb in the attached file when staring the python console.

#5 - 2013-10-30 03:12 AM - Richard Duivenvoorde

If I understand correct, the QGIS 2.0/stable packages are build with every QGIS release, so against the Debian's at that time.

If Debian testing/unstable is changing libs/versions, at a certain time the QGIS package will break.

The message from our 'packaging department':

"if you want 'stable QGIS' run QGIS stable on Debian stable"

There are two options to run QGIS on Debian unstable/testing:

1) run 'QGIS-testing' instead of 2.0, see: http://www.qgis.org/en/site/forusers/alldownloads.html#id4

2) compile QGIS 2.0 yourself on jessie (really, it is not so difficult, just follow the steps in the INSTALL: 

https://github.com/qgis/QGIS/blob/release-2_0/INSTALL#L12)

I actually think that we can close this issue then, because it will be 'fixed' with the next QGIS release

#6 - 2013-10-30 03:19 AM - Martin Jung

@Richard:

See my comment before. It is not about QGIS testing, but about QGIS stable.

On the official download site sources are provided for QGIS stable ( http://www.qgis.org/en/site/forusers/alldownloads.html#id3 ), which right now do not

work!

This one here

Jessie (8.x):

deb     http://qgis.org/debian jessie main

deb-src http://qgis.org/debian jessie main

Of course you could compile QGIS yourself or use the testing version (this is what iam doing right now), but why give users an official source for QGIS 2.0

stable Jessie when it doesn't run? 

Ether repack it with the new Jessie libs or remove it from the Homepage and tell users to compile it yourself.

#7 - 2013-10-30 03:23 AM - Jürgen Fischer

Martin Jung wrote:

It is not about QGIS testing, but about QGIS stable.
AFAIK stable is wheezy and jessie isn't released yet.

#8 - 2013-10-30 05:24 AM - Jürgen Fischer

Martin Jung wrote:

On the official download site sources are provided for QGIS stable ( http://www.qgis.org/en/site/forusers/alldownloads.html#id3 ), which right now do

not work!

This one here

Try 2.0.1-3+jessie1.

#9 - 2013-10-30 05:36 AM - Richard Duivenvoorde

- Status changed from Open to Closed

I've updated text in Website, to not use QGIS stable on Jessie/Sid anymore.

http://www.qgis.org/en/site/forusers/alldownloads.html#id3

Closing this issue.
